package com.zd.speaker.domain;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.stereotype.Component;

@Component
@RefreshScope
public class RemoteAddress {
    @Value("${remote.ip_addr}")
    private String remoteIp;
    @Value("${remote.port}")
    private String remotePort;
    @Value("${remote.operation.login_url}")
    private String loginUrl;
    @Value("${remote.protocol}")
    private String protocol;
    @Value("${remote.operation.get_device}")
    private String deviceUrl;
    @Value("${remote.tts_ip}")
    private String ttsIp;
    @Value("${remote.tts_port}")
    private String ttsPort;

    public String getRemoteIp() {
        return remoteIp;
    }

    public void setRemoteIp(String remoteIp) {
        this.remoteIp = remoteIp;
    }

    public String getRemotePort() {
        return remotePort;
    }

    public void setRemotePort(String remotePort) {
        this.remotePort = remotePort;
    }

    public String getLoginUrl() {
        return loginUrl;
    }

    public void setLoginUrl(String loginUrl) {
        this.loginUrl = loginUrl;
    }

    public String getProtocol() {
        return protocol;
    }

    public void setProtocol(String protocol) {
        this.protocol = protocol;
    }

    public String getDeviceUrl() {
        return deviceUrl;
    }

    public void setDeviceUrl(String deviceUrl) {
        this.deviceUrl = deviceUrl;
    }

    public String getTtsIp() {
        return ttsIp;
    }

    public void setTtsIp(String ttsIp) {
        this.ttsIp = ttsIp;
    }

    public String getTtsPort() {
        return ttsPort;
    }

    public void setTtsPort(String ttsPort) {
        this.ttsPort = ttsPort;
    }
}
